Get all fact-find template questions by template and question Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/fact-find/templates/{factFindTemplate_uuid}/questions/{factFindQuestion_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindTemplate_uuid string Required
  • factFindQuestion_uuid string Required

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • field_name string

        The name of the field.

      • position string

        The position/order of this question within the block.

      • is_required string

        Bool to indicate if the question is required.

      • is_visible string

        Bool to indicate if the question is visible.

      • always_required string

        Bool indicating the underlying database column is NOT NULL; the template builder must not allow this question to be hidden or made non-required.

      • has_conditional string

        Bool to indicate if the question has any conditions.

      • condition_type string

        ALL/ANY.

GET /api/v2/fact-find/templates/{factFindTemplate_uuid}/questions/{factFindQuestion_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/questions/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "37110a52-96cf-4a0b-b9d5-98f870d4fb18",
      "created_at": "2026-07-22T14:08:42+01:00",
      "updated_at": "2026-07-22T14:08:42+01:00",
      "field_name": "Field Name",
      "position": "Position",
      "is_required": "Is Required",
      "is_visible": "Is Visible",
      "always_required": "Always Required",
      "has_conditional": "Has Condition",
      "condition_type": "Condition Type"
    }
  ]
}